###############################################################################
#
# Bash remediation role for profile basic-embedded
# Profile Title:  Basic Profile for Embedded Systems
# Profile Description:
# This profile contains items common to many embedded Linux installations.
# Regardless of your system's deployment objective, all of these checks should pass.
#
# Benchmark ID:  WRLINUX
# Benchmark Version:  0.1.39
#
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.2.16 using:
# 	$ oscap xccdf generate fix --profile basic-embedded --template urn:xccdf:fix:script:sh sds.xml 
#
# This script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this remediation role:
# $ sudo ./remediation-role.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 11) for 'accounts_no_uid_except_zero'
###############################################################################
(>&2 echo "Remediating rule 1/11: 'accounts_no_uid_except_zero'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_no_uid_except_zero'

###############################################################################
# BEGIN fix (2 / 11) for 'no_netrc_files'
###############################################################################
(>&2 echo "Remediating rule 2/11: 'no_netrc_files'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'no_netrc_files'

###############################################################################
# BEGIN fix (3 / 11) for 'no_empty_passwords'
###############################################################################
(>&2 echo "Remediating rule 3/11: 'no_empty_passwords'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'no_empty_passwords'

###############################################################################
# BEGIN fix (4 / 11) for 'accounts_password_all_shadowed'
###############################################################################
(>&2 echo "Remediating rule 4/11: 'accounts_password_all_shadowed'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_password_all_shadowed'

###############################################################################
# BEGIN fix (5 / 11) for 'accounts_umask_etc_login_defs'
###############################################################################
(>&2 echo "Remediating rule 5/11: 'accounts_umask_etc_login_defs'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_umask_etc_login_defs'

###############################################################################
# BEGIN fix (6 / 11) for 'accounts_umask_etc_profile'
###############################################################################
(>&2 echo "Remediating rule 6/11: 'accounts_umask_etc_profile'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_umask_etc_profile'

###############################################################################
# BEGIN fix (7 / 11) for 'root_path_no_dot'
###############################################################################
(>&2 echo "Remediating rule 7/11: 'root_path_no_dot'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'root_path_no_dot'

###############################################################################
# BEGIN fix (8 / 11) for 'accounts_root_path_dirs_no_write'
###############################################################################
(>&2 echo "Remediating rule 8/11: 'accounts_root_path_dirs_no_write'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_root_path_dirs_no_write'

###############################################################################
# BEGIN fix (9 / 11) for 'file_permissions_home_dirs'
###############################################################################
(>&2 echo "Remediating rule 9/11: 'file_permissions_home_dirs'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'file_permissions_home_dirs'

###############################################################################
# BEGIN fix (10 / 11) for 'accounts_logon_fail_delay'
###############################################################################
(>&2 echo "Remediating rule 10/11: 'accounts_logon_fail_delay'")
# FIX FOR THIS RULE IS MISSING
# END fix for 'accounts_logon_fail_delay'

###############################################################################
# BEGIN fix (11 / 11) for 'accounts_max_concurrent_login_sessions'
###############################################################################
(>&2 echo "Remediating rule 11/11: 'accounts_max_concurrent_login_sessions'")

var_accounts_max_concurrent_login_sessions="1"

if grep -q '^[^#]*\<maxlogins\>' /etc/security/limits.d/*.conf; then
	sed -i "/^[^#]*\<maxlogins\>/ s/maxlogins.*/maxlogins $var_accounts_max_concurrent_login_sessions/" /etc/security/limits.d/*.conf
elif grep -q '^[^#]*\<maxlogins\>' /etc/security/limits.conf; then
	sed -i "/^[^#]*\<maxlogins\>/ s/maxlogins.*/maxlogins $var_accounts_max_concurrent_login_sessions/" /etc/security/limits.conf
else
	echo "*	hard	maxlogins	$var_accounts_max_concurrent_login_sessions" >> /etc/security/limits.conf
fi
# END fix for 'accounts_max_concurrent_login_sessions'

